Bug 841022 - Review Request: i7z - CLI curses based monitoring tool for Intel Core i7 processors
Review Request: i7z - CLI curses based monitoring tool for Intel Core i7 proc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomasz Torcz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 17:51 EDT by Matthieu Saulnier
Modified: 2014-12-01 08:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthieu Saulnier 2012-07-17 17:51:36 EDT
Spec URL: http://fantom.fedorapeople.org/i7z.spec
SRPM URL: http://fantom.fedorapeople.org/i7z-0.27.1-1.fc17.src.rpm
Description: 
i7z is a CLI curses based monitoring tool for Intel Core i7 processors.

Fedora Account System Username:fantom
Comment 1 Tomasz Torcz 2012-07-20 10:15:44 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[X]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     See note 1
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "UNKNOWN", "*No copyright* UNKNOWN", "GPL (v2 or later) (with incorrect
     FSF address)" For detailed output of licensecheck see file:
     /home/tomek/841022-i7z/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
     See Note 2.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: i7z-0.27.1-1.fc17.src.rpm
          i7z-debuginfo-0.27.1-1.fc17.x86_64.rpm
          i7z-0.27.1-1.fc17.x86_64.rpm
i7z.src: I: enchant-dictionary-not-found fr
i7z-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/i7z-0.27.1/helper_functions.c
i7z.x86_64: W: no-manual-page-for-binary i7z
3 packages and 0 specfiles checked; 1 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint i7z
i7z.x86_64: I: enchant-dictionary-not-found en_US
i7z.x86_64: I: enchant-dictionary-not-found fr
i7z.x86_64: W: no-manual-page-for-binary i7z
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Note 1:
i7z-0.27.1/helper_functions.c contains old FSF address. Please tell upstream to update it to current one (or even better, prepare a patch and send it to upstream)

Note 2: 
Please query upstream to include separate COPYING file with license.

Note 3:
Even rudimentary man-page would be nice to have, but this again is something for upstream to provide.

Package itself  is fine and works as advertised.


Could you please in exchange review #840602 ?
Comment 2 Matthieu Saulnier 2012-07-20 12:41:36 EDT
Thanks a lot for your great job.
I've sent an email to upstream.

> Could you please in exchange review #840602 ?
Yes off course
Comment 3 Tomasz Torcz 2012-08-02 02:13:46 EDT
Hi Matthieu,

You need now to request git repo - https://fedoraproject.org/wiki/Package_SCM_admin_requests

Take care.
Comment 4 Matthieu Saulnier 2012-08-07 14:09:53 EDT
New Package SCM Request
=======================
Package Name: i7z
Short Description: CLI curses based monitoring tool for Intel Core i7 processors
Owners: fantom
Branches: el6 f16 f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-07 14:17:50 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-08-07 16:41:57 EDT
i7z-0.27.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/i7z-0.27.1-1.fc17
Comment 7 Fedora Update System 2012-08-07 16:43:14 EDT
i7z-0.27.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/i7z-0.27.1-1.fc16
Comment 8 Fedora Update System 2012-08-09 19:25:18 EDT
i7z-0.27.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-17 21:21:19 EDT
i7z-0.27.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-08-17 21:23:37 EDT
i7z-0.27.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Matthieu Saulnier 2014-11-29 14:34:05 EST
Package Change Request
======================
Package Name: i7z
New Branches: el7
Owners: fantom
InitialCC:
Comment 12 Gwyn Ciesla 2014-12-01 08:12:53 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.